NotSerializableException (Java Platform SE 8 )
Keywords: java.io.NotSerializableException class
Date: 2026-07-22

compact1, compact2, compact3
java.io

## Class NotSerializableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - java.io.NotSerializableException

- All Implemented Interfaces:
    Serializable

      public class NotSerializableException
      extends ObjectStreamException

  Thrown when an instance is required to have a Serializable interface. The serialization runtime or the class of the instance can throw this exception. The argument should be the name of the class.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotSerializableException()` Constructs a NotSerializableException object.
    `NotSerializableException(String classname)` Constructs a NotSerializableException object with message string.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotSerializableException

          public NotSerializableException(String classname)

      Constructs a NotSerializableException object with message string.
      Parameters:
        `classname` - Class of the instance being serialized/deserialized.

    - #### NotSerializableException

          public NotSerializableException()

      Constructs a NotSerializableException object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.